The Vigil@nce team watches public vulnerabilities impacting your computers, and then offers security solutions, a vigilance database and tools to fix them.

Vulnerability of Oracle Java: vulnerabilities of January 2018

Synthesis of the vulnerability 

Several vulnerabilities were announced in Oracle products.
Vulnerable systems: Debian, Fedora, AIX, Db2 UDB, IBM i, IRAD, Rational ClearCase, Security Directory Server, QRadar SIEM, Tivoli Storage Manager, Tivoli System Automation, WebSphere AS Liberty, WebSphere AS Traditional, IBM WebSphere ESB, WebSphere MQ, Junos Space, ePO, Java OpenJDK, openSUSE Leap, Java Oracle, Puppet, RHEL, SUSE Linux Enterprise Desktop, SLES, Ubuntu.
Severity of this threat: 3/4.
Number of vulnerabilities in this bulletin: 21.
Creation date: 17/01/2018.
Références of this weakness: 2013818, 2014315, 2015656, 2016042, 2016207, 2016278, 2016496, 2016502, CERTFR-2018-AVI-036, cpujan2018, CVE-2018-2579, CVE-2018-2581, CVE-2018-2582, CVE-2018-2588, CVE-2018-2599, CVE-2018-2602, CVE-2018-2603, CVE-2018-2618, CVE-2018-2627, CVE-2018-2629, CVE-2018-2633, CVE-2018-2634, CVE-2018-2637, CVE-2018-2638, CVE-2018-2639, CVE-2018-2641, CVE-2018-2657, CVE-2018-2663, CVE-2018-2675, CVE-2018-2677, CVE-2018-2678, DLA-1339-1, DSA-4144-1, DSA-4166-1, FEDORA-2018-223d8fc52a, FEDORA-2018-a82015aa02, FEDORA-2018-d50769efa0, FEDORA-2018-e2e52fb0bf, ibm10715641, ibm10717143, ibm10717207, ibm10718843, ibm10719115, ibm10719319, JSA10873, N1022544, openSUSE-SU-2018:0679-1, openSUSE-SU-2018:0684-1, RHSA-2018:0095-01, RHSA-2018:0099-01, RHSA-2018:0100-01, RHSA-2018:0115-01, RHSA-2018:0349-01, RHSA-2018:0351-01, RHSA-2018:0352-01, RHSA-2018:0458-01, RHSA-2018:0521-01, SB10225, SUSE-SU-2018:0630-1, SUSE-SU-2018:0645-1, SUSE-SU-2018:0661-1, SUSE-SU-2018:0663-1, SUSE-SU-2018:0665-1, SUSE-SU-2018:0694-1, USN-3613-1, USN-3614-1, VIGILANCE-VUL-25082.

Description of the vulnerability 

Several vulnerabilities were announced in Oracle products.
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

This computer weakness bulletin impacts software or systems such as Debian, Fedora, AIX, Db2 UDB, IBM i, IRAD, Rational ClearCase, Security Directory Server, QRadar SIEM, Tivoli Storage Manager, Tivoli System Automation, WebSphere AS Liberty, WebSphere AS Traditional, IBM WebSphere ESB, WebSphere MQ, Junos Space, ePO, Java OpenJDK, openSUSE Leap, Java Oracle, Puppet, RHEL, SUSE Linux Enterprise Desktop, SLES, Ubuntu.

Our Vigil@nce team determined that the severity of this computer threat announce is important.

The trust level is of type confirmed by the editor, with an origin of document.

This bulletin is about 21 vulnerabilities.

An attacker with a expert ability can exploit this threat announce.

Solutions for this threat 

Oracle Java: version 9.0.4.
The version 9.0.4 is fixed:
  http://www.oracle.com/technetwork/java/javase/downloads/index.html
  http://www.oracle.com/technetwork/java/javase/documentation/9u-relnotes-3704429.html

Oracle Java: version 8u161.
The version 8u161 is fixed:
  http://www.oracle.com/technetwork/indexes/downloads/index.html
  http://www.oracle.com/technetwork/java/javase/documentation/8u-relnotes-2225394.html

Oracle Java: version 7u171.
The version 7u171 is fixed:
  http://www.oracle.com/technetwork/indexes/downloads/index.html
  http://www.oracle.com/technetwork/java/javase/documentation/javase7supportreleasenotes-1601161.html

Oracle Java: version 6u181.
The version 6u181 is fixed:
  http://www.oracle.com/technetwork/indexes/downloads/index.html
  http://www.oracle.com/technetwork/java/javase/documentation/overview-156328.html

AIX: patch for Java.
A patch is indicated in information sources.

Debian 7: new openjdk-7 packages.
New packages are available:
  Debian 7: openjdk-7 7u171-2.6.13-1~deb7u1

Debian 8: new openjdk-7 packages.
New packages are available:
  Debian 8: openjdk-7 7u171-2.6.13-1~deb8u1

Debian 9: new openjdk-8 packages.
New packages are available:
  Debian 9: openjdk-8 8u162-b12-1~deb9u1

Fedora 27: new java-1.8.0-openjdk-aarch32 packages.
New packages are available:
  Fedora 27: java-1.8.0-openjdk-aarch32 1.8.0.161-1.180220.fc27

Fedora: new java-1.8.0-openjdk packages.
New packages are available:
  Fedora 26: java-1.8.0-openjdk 1.8.0.161-0.b14.fc26
  Fedora 27: java-1.8.0-openjdk 1.8.0.161-0.b14.fc27

Fedora: new java-9-openjdk packages.
New packages are available:
  Fedora 27: java-9-openjdk 9.0.4.11-3.fc27

IBM BigFix Remote Control: solution for Java.
The solution is indicated in information sources.

IBM Cognos Business Intelligence: patch.
A patch is indicated in information sources.

IBM DB2: solution for Java.
The solution is indicated in information sources.

IBM i: solution for Java.
The solution is indicated in information sources.

IBM MQ: solution for Java.
The solution is indicated in information sources.

IBM QRadar SIEM: patch for Java.
A patch is indicated in information sources.

IBM Rational Application Developer for WebSphere: solution for Java.
The solution is indicated in information sources.

IBM Rational ClearCase: solution for Java.
The solution is indicated in information sources.

IBM Security Directory Server: solution for Java.
The solution is indicated in information sources.

IBM Spectrum Protect: solution for Java.
The solution is indicated in information sources.

IBM Tivoli System Automation for Multiplatforms: patch for Java.
A patch is indicated in information sources.

IBM Tivoli System Automation: solution for Java.
The solution is indicated in information sources.

Junos Space: solution.
The solution is indicated in information sources.

McAfee ePolicy Orchestrator: patch for Java.
A patch EPO5xHF1225856.zip is available:
  https://kc.mcafee.com/corporate/index?page=content&id=KB56057

openSUSE Leap 42.3: new java-1_7_0-openjdk packages.
New packages are available:
  openSUSE Leap 42.3: java-1_7_0-openjdk 1.7.0.171-48.3

openSUSE Leap 42.3: new java-1_8_0-openjdk packages.
New packages are available:
  openSUSE Leap 42.3: java-1_8_0-openjdk 1.8.0.161-21.1

Puppet Enterprise: version 2017.3.4.
The version 2017.3.4 is fixed:
  https://puppet.com/

RHEL 6.9: new java-1.7.1-ibm packages.
New packages are available:
  RHEL 6: java-1.7.1-ibm 1.7.1.4.20-1jpp.3.el6_9

RHEL 7: new java-1.7.1-ibm packages.
New packages are available:
  RHEL 7: java-1.7.1-ibm 1.7.1.4.20-1jpp.1.el7

RHEL: new java-1.6.0-sun packages.
New packages are available:
  RHEL 6: java-1.6.0-sun 1.6.0.181-1jpp.1.el6
  RHEL 7: java-1.6.0-sun 1.6.0.181-1jpp.2.el7

RHEL: new java-1.7.0-openjdk packages.
New packages are available:
  RHEL 6: java-1.7.0-openjdk 1.7.0.171-2.6.13.0.el6_9
  RHEL 7: java-1.7.0-openjdk 1.7.0.171-2.6.13.0.el7_4

RHEL: new java-1.7.0-oracle packages.
New packages are available:
  RHEL 6: java-1.7.0-oracle 1.7.0.171-1jpp.1.el6_9
  RHEL 7: java-1.7.0-oracle 1.7.0.171-1jpp.1.el7

RHEL: new java-1.8.0-ibm packages.
New packages are available:
  RHEL 7: java-1.8.0-ibm 1.8.0.5.10-1jpp.1.el7
  RHEL 6: java-1.8.0-ibm 1.8.0.5.10-1jpp.1.el6_9

RHEL: new java-1.8.0-openjdk packages.
New packages are available:
  RHEL 6: java-1.8.0-openjdk 1.8.0.161-3.b14.el6_9
  RHEL 7: java-1.8.0-openjdk 1.8.0.161-0.b14.el7_4

RHEL: new java-1.8.0-oracle packages.
New packages are available:
  RHEL 6: java-1.8.0-oracle 1.8.0.161-1jpp.1.el6_9
  RHEL 7: java-1.8.0-oracle 1.8.0.161-1jpp.2.el7

SUSE LE 11 SP3: new java-1_7_0-ibm packages.
New packages are available:
  SUSE LE 11 SP3: java-1_7_0-ibm 1.7.0_sr10.20-65.13.1

SUSE LE 11 SP4: new java-1_7_1-ibm packages.
New packages are available:
  SUSE LE 11 SP4: java-1_7_1-ibm 1.7.1_sr4.20-26.13.1

SUSE LE 12: new java-1_7_1-ibm packages.
New packages are available:
  SUSE LE 12 RTM: java-1_7_1-ibm 1.7.1_sr4.20-38.16.1
  SUSE LE 12 SP1: java-1_7_1-ibm 1.7.1_sr4.20-38.16.1
  SUSE LE 12 SP2: java-1_7_1-ibm 1.7.1_sr4.20-38.16.1
  SUSE LE 12 SP3: java-1_7_1-ibm 1.7.1_sr4.20-38.16.1

SUSE LE 12: new java-1_8_0-ibm packages.
New packages are available:
  SUSE LE 12 SP1: java-1_8_0-ibm 1.8.0_sr5.10-30.16.1
  SUSE LE 12 SP2: java-1_8_0-ibm 1.8.0_sr5.10-30.16.1
  SUSE LE 12 SP3: java-1_8_0-ibm 1.8.0_sr5.10-30.16.1

SUSE LE 12: new java-1_8_0-openjdk packages.
New packages are available:
  SUSE LE 12 SP1: java-1_8_0-openjdk 1.8.0.161-27.13.1
  SUSE LE 12 SP2: java-1_8_0-openjdk 1.8.0.161-27.13.1
  SUSE LE 12 SP3: java-1_8_0-openjdk 1.8.0.161-27.13.1

SUSE LE 12 SP2/3: new java-1_7_0-openjdk packages.
New packages are available:
  SUSE LE 12 SP2: java-1_7_0-openjdk 1.7.0.171-43.12.1
  SUSE LE 12 SP3: java-1_7_0-openjdk 1.7.0.171-43.12.1

Ubuntu: new openjdk-7 packages.
New packages are available:
  Ubuntu 14.04 LTS: openjdk-7 7u171-2.6.13-0ubuntu0.14.04.2

Ubuntu: new openjdk-8 packages.
New packages are available:
  Ubuntu 17.10: openjdk-8 8u162-b12-0ubuntu0.17.10.2
  Ubuntu 16.04 LTS: openjdk-8 8u162-b12-0ubuntu0.16.04.2

WebSphere AS: solution for Java.
The solution is indicated in information sources.

WebSphere Enterprise Service Bus: solution for WebSphere AS.
The solution is indicated in information sources.
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

Computer vulnerabilities tracking service 

Vigil@nce provides network vulnerability patches. The Vigil@nce computer vulnerability tracking service alerts your teams of vulnerabilities or threats impacting your information system.